Bug 1282382 - [abrt] policycoreutils-devel: gui.py:1439:stripsort:TypeError: unorderable types: str() > NoneType()
[abrt] policycoreutils-devel: gui.py:1439:stripsort:TypeError: unorderable ty...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6ca5caca9d994379010420f05c2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 04:35 EST by Andrew Cook
Modified: 2015-12-16 09:35 EST (History)
4 users (show)

See Also:
Fixed In Version: policycoreutils-2.4-18.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 03:23:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (640 bytes, text/plain)
2015-11-16 04:35 EST, Andrew Cook
no flags Details
File: environ (1.48 KB, text/plain)
2015-11-16 04:35 EST, Andrew Cook
no flags Details

  None (edit)
Description Andrew Cook 2015-11-16 04:35:44 EST
Version-Release number of selected component:
policycoreutils-devel-2.4-15.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 -Es /usr/bin/sepolicy gui
executable:     /usr/bin/sepolicy
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
gui.py:1439:stripsort:TypeError: unorderable types: str() > NoneType()

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/sepolicy/gui.py", line 1439, in stripsort
    return (val1 > val2) - (val1 < val2)
TypeError: unorderable types: str() > NoneType()

Local variables in innermost frame:
_: <enum GTK_SORT_ASCENDING of type GtkSortType>
user_data: None
self: <sepolicy.gui.SELinuxGui object at 0x7f47c8ca2160>
val1: 'deny_ptrace'
row2: <GtkTreeIter at 0x561824f72760>
sort_column: 2
model: <ListStore object at 0x7f47b6029828 (GtkListStore at 0x5618253c56c0)>
row1: <GtkTreeIter at 0x561824f78260>
val2: None
Comment 1 Andrew Cook 2015-11-16 04:35:49 EST
Created attachment 1094790 [details]
File: backtrace
Comment 2 Andrew Cook 2015-11-16 04:35:51 EST
Created attachment 1094791 [details]
File: environ
Comment 3 Petr Lautrbach 2015-12-11 07:53:29 EST
Do you remember what you did when this happened? Are you able to reproduce it?
Comment 4 Petr Lautrbach 2015-12-11 16:00:56 EST
I'm able to reproduce it locally. I'll try to prepare a fix.

Thanks for the report!
Comment 5 Fedora Update System 2015-12-14 15:21:31 EST
policycoreutils-2.4-18.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c24c78c36d
Comment 6 Fedora Update System 2015-12-15 05:52:29 EST
policycoreutils-2.4-18.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update policycoreutils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c24c78c36d
Comment 7 Fedora Update System 2015-12-16 03:23:54 EST
policycoreutils-2.4-18.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-12-16 09:35:04 EST
policycoreutils-2.4-18.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.